package com.sheep.gamegroup.model.entity;

import java.io.Serializable;

/**
 * Created by realicing on 2018/4/18.
 * realicing@sina.com
 */
public class NewbieTask implements Serializable{
    private double amount;

    private int status;//0 初始状态 1 提交审核 2 成功 3审核失败

    private int id;

    private String desc;

    private String name;

    private int update_time;

    private int create_time;

    private int user_task_id;

    public void setAmount(double amount){
        this.amount = amount;
    }
    public double getAmount(){
        return this.amount;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getUser_task_id() {
        return user_task_id;
    }

    public void setUser_task_id(int user_task_id) {
        this.user_task_id = user_task_id;
    }

    public void setId(int id){
        this.id = id;
    }
    public int getId(){
        return this.id;
    }
    public void setDesc(String desc){
        this.desc = desc;
    }
    public String getDesc(){
        return this.desc;
    }
    public void setName(String name){
        this.name = name;
    }
    public String getName(){
        return this.name;
    }
    public void setUpdate_time(int update_time){
        this.update_time = update_time;
    }
    public int getUpdate_time(){
        return this.update_time;
    }
    public void setCreate_time(int create_time){
        this.create_time = create_time;
    }
    public int getCreate_time(){
        return this.create_time;
    }

    public boolean getFinished() {
        return status == 2;
    }

    public boolean getEnabled() {
        return status == 0 || status == 3 ;
    }
}
